@import (reference) 'Messages.variables.import.less';

#messages {
  position: absolute;
  left: 0;
  right: 0;
  top: @menuHeight;
  bottom: 0;
  overflow: hidden;
  padding: 0;

  background-color: @darkerBackground;

  .warning & {
    top: @menuHeight + @warningHeight;
  }

  .chat & {
    bottom: @chatHeight;
  }

  .conversations-bar {
    position: absolute;
    display: flex;
    flex-direction: column;
    width: @sidebarWidth;
    top: 0;
    bottom: 0;
    z-index: 2;

    background: @sidebarBackgroundColor;
    border-right: 1px solid @darkerBackground;

    @media (max-width: @tabletBreakpoint) {
      display: none;
    }

    .header {
      text-transform: uppercase;
      color: @darkColorInverted;
      font-size: 0.85em;
      padding: 1.5em 1em 0.5em 1em;
    }

    .conversation-list-container {
      flex-grow: 1;
      flex-shrink: 1;
      position: relative;

      .conversation-list {
        position: absolute;
        left: 0;
        right: 0;
        top: 0;
        bottom: 0;
        overflow-x: hidden;
        overflow-y: auto;
        -webkit-overflow-scrolling: touch;

        .conversation {
          color: @lightColorInverted;
          line-height: 1.125em;
          cursor: pointer;
          padding: 0.5em 1em;
          display: flex;
          align-items: center;

          .image {
            flex: 0 0 auto;
          }

          &:hover {
            background-color: lighten(@sidebarBackgroundColor, 10%);
            text-shadow: @sidebarBackgroundColor 1px 1px 0;
          }

          &.active {
            background-color: @teal;
            text-shadow: darken(@teal, 10%) 1px 1px 0;
          }

          .conversation-name {
            flex: 1 1 auto;
            white-space: nowrap;
            overflow: hidden;
            text-overflow: ellipsis;
          }
        }
      }
    }
  }

  .conversation-panel {
    position: absolute;
    left: @sidebarWidth;
    right: 0;
    top: 0;
    bottom: 0;
    background: @white;

    @media (max-width: @tabletBreakpoint) {
      left: 0;
    }
  }
}